﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<BaseClass> data = new List<BaseClass>();
            data.Add(new BaseClass() { BaseClassProp = 1 });
            data.Add(new DerivedClass1() { BaseClassProp = 2, DerivedClass1Prop = 2 });
            data.Add(new DerivedClass2() { BaseClassProp = 3, DerivedClass2Prop = 3 });
            data.Add(new DerivedClass1() { BaseClassProp = 4, DerivedClass1Prop = 4 });
            data.Add(new DerivedClass2() { BaseClassProp = 5, DerivedClass2Prop = 5 });

            this.DataContext = data;
        }
    }

    public class BaseClass
    {
        public int BaseClassProp { get; set; }
    }

    public class DerivedClass1:BaseClass
    {
        public int DerivedClass1Prop { get; set; }
    }

    public class DerivedClass2 : BaseClass
    {
        public int DerivedClass2Prop { get; set; }
    }
}
